Showroom Mobile Banking - Bug #13499

[IB][Payment] Account Number allow Special Characters [IB-Q-03]
15 April 2022 10:50 AM - Nor Khairun Agila Jesmen

Status: Closed Start date: 15 April 2022

Priority: Normal Due date:

Assignee: Nor Khairun Aqila Jesmen % Done: 100%

Category: Estimated time: 0.00 hour

Target version: Spent time: 0.00 hour

Phase: R1 Branch Code: showroom-proj-base-i5
Description

Steps to simulate:

1. Click Payment

2. Insert Special Character for field Account Number
3. Proceed payment as usual

Issue:
Account number allow special characters and can proceed without any error

Expected:
Account number only allow alphanumeric. Error message should be display if customer proceed with special characters for field
Account Number

History

#1 - 15 April 2022 05:27 PM - David Wong
- Status changed from New to Assigned

- Assignee changed from David Wong to chok yee fan

#2 - 18 April 2022 03:03 PM - Wee Meng Soh
- Status changed from Assigned to In Progress

- Assignee changed from chok yee fan to Wee Meng Soh

#3 - 20 April 2022 01:22 PM - Wee Meng Soh
- File Screenshot 2022-04-20 at 1.19.35 PM.png added
- Status changed from In Progress to Resolved

- Assignee changed from Wee Meng Soh to Hoo Dextor

weemeng.soh: Bug #13499 [IB][Payment] Account Number allow Special Characters [IB-Q-03]

Note: created validators.ts in shared to allow other modules can use also.

#4 - 21 April 2022 05:03 PM - chok yee fan
- Status changed from Resolved to Pending SIT

- Assignee changed from Hoo Dextor to Nor Khairun Agila Jesmen

web deployed

#5 - 13 May 2022 10:41 AM - Nor Khairun Agila Jesmen

- Status changed from Pending SIT to Closed
- % Done changed from 0 to 100

10 April 2025 1/2



https://dev.silverlakemobility.com/redmine/issues/13499

Tested good based on issue log

Files

Screenshot 2022-04-20 at 1.19.35 PM.png 220 KB 20 April 2022 Wee Meng Soh
